%global srcname flatpak-module-tools

Name:		%{srcname}
Version:	0.11.1
Release:	1%{?dist}
Summary:	Tools for maintaining Flatpak applications and runtimes as Fedora modules

License:	MIT
URL:		https://pagure.io/flatpak-module-tools
Source0:	https://releases.pagure.org/flatpak-module-tools/flatpak-module-tools-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel

%description
flatpak-module-tools is a set of command line tools (all accessed via a single
'flatpak-module' executable) for operations related to maintaining Flatpak
applications and runtimes as Fedora modules.

%package -n python2-%{srcname}
Summary: Shared code for building Flatpak applications and runtimes from Fedora modules

Requires: flatpak
Requires: python2-libmodulemd2
# For appstream-compose
Requires: libappstream-glib
# for SVG gdk-pixbuf loader
Requires: librsvg2
Requires: ostree
Requires: python-jinja2
Requires: python2-six
Requires: PyYAML

%description -n python2-%{srcname}
Python2 library for Flatpak handling

%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build


%install
%py2_install


%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*


%changelog
* Wed Oct 23 2019 Owen Taylor <otaylor@redhat.com> - 0.11.1-1
- Version 0.11.1 - compatibility with future versions of Flatpak that
  may generate label-only images

* Thu Oct 17 2019 Owen Taylor <otaylor@redhat.com> - 0.11-1
- Version 0.11 - add standard labels, and allow using labels
  instead of annotations for Flatpak metadata.

* Wed Jul 24 2019 Owen Taylor <otaylor@redhat.com> - 0.10.4-1
- Version 0.10.4 - fix bugs with libmodulemd v2 api conversion
- Require libmodulemd2

* Fri Jul 12 2019 Owen Taylor <otaylor@redhat.com> - 0.10.1-1
- Version 0.10.1 - fix compatibility with newer module-build-service
  and avoid flatpak-repair issues.

* Mon Apr  1 2019 fedora-toolbox <otaylor@redhat.com> - 0.9.3-1
- Version 0.9.3 - fix module-build-service and Flatpak compat issues

* Tue Feb  5 2019 fedora-toolbox <otaylor@redhat.com> - 0.9.2-1
- Version 0.9.2 - fix icon validation for Flatpak 1.2

* Tue Jan 22 2019 fedora-toolbox <otaylor@redhat.com> - 0.9.1-1
- Version 0.9.1 - bug fixes including systemd-nspawn compatibility

* Tue Jan 22 2019 Owen Taylor <otaylor@redhat.com> - 0.9-1
- Version 0.9 - configurability, fixes for F29 dnf compatibility

* Thu Oct  4 2018 Owen Taylor <otaylor@redhat.com> - 0.8.4-1
- Version 0.8.4 - fix bugs in Flatpak installation

* Tue Oct  2 2018 Owen Taylor <otaylor@redhat.com> - 0.8.3-1
- Version 0.8.3 (bug fixes, add flatpak-module install --koji)

* Mon Sep 10 2018 Owen Taylor <otaylor@redhat.com> - 0.8.2-1
- Version 0.8.2 (Install flatpak-runtime-config with apps making
  included triggers work, support comments in finish-args,
  enable mock dnf cache for local builds.)
- Add dependencies on required tools

* Fri Aug 31 2018 Owen Taylor <otaylor@redhat.com> - 0.8.1-3
- Fix names of packages in Requires

* Fri Aug 31 2018 Owen Taylor <otaylor@redhat.com> - 0.8.1-2
- EPEL 7 - only package python2 subpackage

* Tue Aug 21 2018 Owen Taylor <otaylor@redhat.com> - 0.8.1-1
- Version 0.8.1 - bug fixes

* Fri Aug 10 2018 Owen Taylor <otaylor@redhat.com> - 0.8-1
- Version 0.8 - bug fixes and command line convenience

* Tue Jul 31 2018 Owen Taylor <otaylor@redhat.com> - 0.6-1
- Version 0.6 (improve container.yaml support)
- Build for Python2 as well
- Split out python<N>-flatpak-module-tools subpackages

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4-2
- Rebuilt for Python 3.7

* Fri Jun  1 2018 Owen Taylor <otaylor@redhat.com> - 0.4-1
- Version 0.4 (fix container builds from Koji)

* Thu May 31 2018 Owen Taylor <otaylor@redhat.com> - 0.3-1
- Version 0.3 (minor fixes)

* Tue May 22 2018 Owen W. Taylor <otaylor@fishsoup.net> - 0.2-1
- Initial version
